CRAN Package Check Results for Package grattan

Last updated on 2019-03-27 00:47:57 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.7.1.0 86.05 354.30 440.35 NOTE
r-devel-linux-x86_64-debian-gcc 1.7.1.0 61.47 586.03 647.50 NOTE
r-devel-linux-x86_64-fedora-clang 1.7.1.0 639.88 NOTE
r-devel-linux-x86_64-fedora-gcc 1.7.1.0 600.83 NOTE
r-devel-windows-ix86+x86_64 1.7.1.0 191.00 517.00 708.00 NOTE
r-patched-linux-x86_64 1.7.1.0 75.82 447.67 523.49 NOTE
r-patched-solaris-x86 1.7.1.0 564.00 WARN
r-release-linux-x86_64 1.7.1.0 73.21 421.38 494.59 NOTE
r-release-windows-ix86+x86_64 1.7.0.0 205.00 391.00 596.00 ERROR
r-release-osx-x86_64 1.7.0.0 NOTE
r-oldrel-windows-ix86+x86_64 1.7.1.0 190.00 430.00 620.00 NOTE
r-oldrel-osx-x86_64 1.7.0.0 NOTE

Check Details

Version: 1.7.1.0
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     'taxstats', 'taxstats1516'
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-ix86+x86_64

Version: 1.7.1.0
Check: installed package size
Result: NOTE
     installed size is 6.1Mb
     sub-directories of 1Mb or more:
     doc 3.5Mb
     libs 1.5Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-ix86+x86_64, r-patched-solaris-x86, r-oldrel-windows-ix86+x86_64

Version: 1.7.1.0
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     ‘taxstats’ ‘taxstats1516’
Flavors: r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64

Version: 1.7.1.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    trying URL 'https://hughparsonage.github.io/tax-drat/src/contrib/taxstats_0.1.0.1415.tar.gz'
    Content type 'application/gzip' length 60898251 bytes (58.1 MB)
    ==================================================
    downloaded 58.1 MB
    
    * installing *source* package ‘taxstats’ ...
    ** R
    ** data
    *** moving datasets to lazyload DB
    ** inst
    ** byte-compile and prepare package for lazy loading
    ** help
    *** installing help indices
    ** building package indices
    ** testing if installed package can be loaded
    * DONE (taxstats)
    
    The downloaded source packages are in
     '/tmp/RtmpZ2aiuR/downloaded_packages'
    trying URL 'https://hughparsonage.github.io/tax-drat/src/contrib/taxstats1516_1.0.0.tar.gz'
    Content type 'application/gzip' length 7492439 bytes (7.1 MB)
    ==================================================
    downloaded 7.1 MB
    
    * installing *source* package ‘taxstats1516’ ...
    ** R
    ** data
    *** moving datasets to lazyload DB
    ** preparing package for lazy loading
    ** help
    *** installing help indices
    ** building package indices
    ** testing if installed package can be loaded
    * DONE (taxstats1516)
    
    The downloaded source packages are in
     '/tmp/RtmpZ2aiuR/downloaded_packages'
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    trying URL 'https://hughparsonage.github.io/tax-drat/src/contrib/taxstats1516_1.0.0.tar.gz'
    Content type 'application/gzip' length 7492439 bytes (7.1 MB)
    ==================================================
    downloaded 7.1 MB
    
    * installing *source* package ‘taxstats1516’ ...
    ** R
    ** data
    *** moving datasets to lazyload DB
    ** preparing package for lazy loading
    ** help
    *** installing help indices
    ** building package indices
    ** testing if installed package can be loaded
    * DONE (taxstats1516)
    
    The downloaded source packages are in
     '/tmp/RtmpZ2aiuR/downloaded_packages'
    Quitting from lines 32-39 (v201515-taxstats.Rmd)
    Error: processing vignette 'v201515-taxstats.Rmd' failed with diagnostics:
    cannot allocate vector of size 67.1 Mb
    Execution halted
Flavor: r-patched-solaris-x86

Version: 1.7.0.0
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     'taxstats' 'taxstats1516'
Flavors: r-release-windows-ix86+x86_64, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 1.7.0.0
Check: running tests for arch ‘i386’
Result: ERROR
     Running 'testthat.R' [33s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     >
     > all.pkgs <- c("testthat", "dplyr", "dtplyr", "data.table", "magrittr", "survey", "zoo")
     >
     >
     > if (all(vapply(all.pkgs, requireNamespace, logical(1L), quietly = TRUE))) {
     +
     + library(testthat)
     + library(grattan)
     + library(hutils)
     + library(data.table)
     + library(magrittr)
     +
     + if (identical(Sys.getenv("CIRCLECI"), "true")) {
     + test_check("grattan",
     + reporter = JunitReporter$new(file = "junit_result.xml"))
     + } else {
     + test_check("grattan")
     + }
     + }
    
     Attaching package: 'hutils'
    
     The following objects are masked from 'package:grattan':
    
     mutate_ntile, weighted_ntile
    
    
     Attaching package: 'magrittr'
    
     The following objects are masked from 'package:testthat':
    
     equals, is_less_than, not
    
     -- 1. Failure: Messages (@test_carer_payment.R#4) -----------------------------
     `carer_payment()` produced unexpected messages.
     Expected match: `Date` and `fy.year` not set, so using `Date = "2018-09-20".
     Actual values:
     * `Date` and `fy.year` not set, so using `Date = "2019-03-20".
    
     * `per` is missing. Using `per = year`. Set `per` explicitly to avoid this message.
    
    
     == testthat results ===========================================================
     OK: 797 SKIPPED: 98 FAILED: 1
     1. Failure: Messages (@test_carer_payment.R#4)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-release-windows-ix86+x86_64

Version: 1.7.0.0
Check: running tests for arch ‘x64’
Result: ERROR
     Running 'testthat.R' [32s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     >
     > all.pkgs <- c("testthat", "dplyr", "dtplyr", "data.table", "magrittr", "survey", "zoo")
     >
     >
     > if (all(vapply(all.pkgs, requireNamespace, logical(1L), quietly = TRUE))) {
     +
     + library(testthat)
     + library(grattan)
     + library(hutils)
     + library(data.table)
     + library(magrittr)
     +
     + if (identical(Sys.getenv("CIRCLECI"), "true")) {
     + test_check("grattan",
     + reporter = JunitReporter$new(file = "junit_result.xml"))
     + } else {
     + test_check("grattan")
     + }
     + }
    
     Attaching package: 'hutils'
    
     The following objects are masked from 'package:grattan':
    
     mutate_ntile, weighted_ntile
    
    
     Attaching package: 'magrittr'
    
     The following objects are masked from 'package:testthat':
    
     equals, is_less_than, not
    
     -- 1. Failure: Messages (@test_carer_payment.R#4) -----------------------------
     `carer_payment()` produced unexpected messages.
     Expected match: `Date` and `fy.year` not set, so using `Date = "2018-09-20".
     Actual values:
     * `Date` and `fy.year` not set, so using `Date = "2019-03-20".
    
     * `per` is missing. Using `per = year`. Set `per` explicitly to avoid this message.
    
    
     == testthat results ===========================================================
     OK: 797 SKIPPED: 98 FAILED: 1
     1. Failure: Messages (@test_carer_payment.R#4)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-release-windows-ix86+x86_64

Version: 1.7.1.0
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'taxstats1516'
Flavor: r-oldrel-windows-ix86+x86_64